#ifndef __BETAUR_PACKAGE_H
#define __BETAUR_PACKAGE_H

#include <time.h>

typedef struct betaur_package {
	char* name;
	char* description;
	char* maintainer;
	char* pkgbase;
	char* upstream_url;
	char* aur_urlpath;
	char* version;

	int package_id;
	int pkgbase_id;
	int votes;
	double popularity;

	time_t out_of_date;
	time_t submitted;
	time_t modified;

	size_t conflicts_len;
	char** conflicts;
	size_t groups_len;
	char** groups;
	size_t licenses_len;
	char** licenses;
	size_t optdepends_len;
	char** optdepends;
	size_t replaces_len;
	char** replaces;
	size_t comaintainers_len;
	char* comaintainers;

	size_t depends_len;
	char** depends;
	size_t makedepends_len;
	char** makedepends;
	size_t checkdepends_len;
	char** checkdepends;
} betaur_package_t;

inline bool betaur_package_equal(betaur_package_t* a, betaur_package_t* b) {
	return a->package_id == b->package_id && a->pkgbase_id == b->pkgbase_id;
}

#endif
